package com.bcxin.ins.third.build.yangguang.yggc;


import com.bcxin.ins.vo.OrderFormVo;
import com.bcxin.ins.vo.SpecialBidVo;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import java.util.List;

/**
 * 阳光工程投标保证保险
 * Created by Apple on 2017/7/19.
 */
public class BDYGGC {
    private DBXmlHead xmlHead;
    private List<DBPolicy> tbPolicyDtoList;
    private static Logger log = LogManager.getLogger(BDYGGC.class);

    /*public static void main(String[] args) {
        log.info(JSON.toJSONString(BDYGGC.getDemo()));
    }*/

    /*public static BDYGGC getDemo(){
        return new BDYGGC("demo");
    }*/
    public static BDYGGC getDemo(OrderFormVo dto, SpecialBidVo vo){
        return new BDYGGC(dto,vo);
    }
    public BDYGGC() {}
/*
    private BDYGGC(String demo) {
        this.xmlHead = XmlHead.getDemo();
        this.tbPolicyDtoList =  DBPolicy.getDemo1();
    }*/
    private BDYGGC(OrderFormVo dto, SpecialBidVo vo) {
        this.xmlHead = DBXmlHead.getDemo();
        this.tbPolicyDtoList =  DBPolicy.getDemo(dto, vo);
    }

    public DBXmlHead getXmlHead() {
        return xmlHead;
    }

    public void setXmlHead(DBXmlHead xmlHead) {
        this.xmlHead = xmlHead;
    }

    public List<DBPolicy> getTbPolicyDtoList() {
        return tbPolicyDtoList;
    }

    public void setTbPolicyDtoList(List<DBPolicy> tbPolicyDtoList) {
        this.tbPolicyDtoList = tbPolicyDtoList;
    }
}
